Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.VoicemailPolicy

    java.lang.Object
      java.lang.Enum<Account.VoicemailPolicy>
          com.skype.api.Account.VoicemailPolicy

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Account.VoicemailPolicy>

Enclosing class:
  Account

    public static enum Account.VoicemailPolicy

extends java.lang.Enum<Account.VoicemailPolicy>
implements EnumConverting

Recognized values for the P_VOICEMAILPOLICY property that controls acceptance of incoming voicemail messages. Note that since this set of values is associated with a server-side property, you must set that property using Account.SetServersideIntPropertyserver-side.

Enum Constant Summary
`VOICEMAIL_DISABLED` Incoming voicemails disabled.
`VOICEMAIL_ENABLED` Incoming voicemails enabled.

Field Summary
`static int` | `VOICEMAIL_DISABLED_VALUE`
`static int` | `VOICEMAIL_ENABLED_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.VoicemailPolicy` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Account.VoicemailPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.VoicemailPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VOICEMAIL_ENABLED

    public static final Account.VoicemailPolicy VOICEMAIL_ENABLED

  Incoming voicemails enabled.

### VOICEMAIL_DISABLED

    public static final Account.VoicemailPolicy VOICEMAIL_DISABLED

  Incoming voicemails disabled.

Field Detail

### VOICEMAIL_ENABLED_VALUE

    public static final int VOICEMAIL_ENABLED_VALUE

See Also:
  Constant Field Values

### VOICEMAIL_DISABLED_VALUE

    public static final int VOICEMAIL_DISABLED_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Account.VoicemailPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.VoicemailPolicy c : Account.VoicemailPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.VoicemailPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.VoicemailPolicy get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.